// App Shared Variables
// --------------------------------------------------
// To customize the look and feel of this app, you can override
// the Stylus variables found in Quasar's source Stylus files. Setting
// variables before Quasar's Stylus will use these variables rather than
// Quasar's default Stylus variable values. Stylus variables specific
// to the themes belong in either the variables.ios.styl or variables.mat.styl files.

// Check documentation for full list of Quasar variables


// App Shared Color Variables
// --------------------------------------------------
// It's highly recommended to change the default colors
// to match your app's branding.

$primary   = #027be3
$secondary = #26A69A
$tertiary  = #555

$neutral   = #E0E1E2
$positive  = #21BA45
$negative  = #DB2828
$info      = #31CCEC
$warning   = #F2C037

$light     = #f4f4f4
$dark      = #333
$faded     = #777

$text-color          = lighten(black, 17%)
$background-color    = white

$link-color          = lighten($primary, 25%)
$link-color-active   = $primary

#q-app {
  .q-toolbar, .q-toolbar {
    color: $dark !important;
    background: #fefefe !important;
  }

  .q-item.active, .q-item.router-link-active, .q-item:focus {
    background: rgba(0,0,0,0.1);
    color: $link-color-active;

    > .q-item-side {
      color: $link-color-active;
    }
  }

  .layout-aside.fixed.on-layout {
    box-shadow: none;
  }

  .q-toolbar {
    height: 60px;
  }

  .card-padding {
    padding: 0 8px
  }

  .first-card {
    margin-top: 0;
  }

  .q-carousel {
    height: 200px;
  }

  .layout-header {
    box-shadow: 0 0 10px #9e9e9e
  }
}
